%define module_name Net-Async-Consul
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Consul.pm) perl(ExtUtils/MakeMaker.pm) perl(HTTP/Headers.pm) perl(HTTP/Request.pm) perl(Hash/MultiValue.pm) perl(IO/Async/Loop.pm) perl(IO/Async/Test.pm) perl(List/Util.pm) perl(Net/Async/HTTP.pm) perl(Test/Consul.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.003
Release: alt1
Summary: Make async calls to Consul via IO::Async
Group: Development/Perl
License: perl
URL: https://github.com/robn/Net-Async-Consul

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/R/RO/ROBN/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Net::Async::Consul is a thin wrapper around the Consul manpage to connect it to
the Net::Async::HTTP manpage for asynchronous operation.

It takes the same arguments and methods as the Consul manpage itself, so see the
documentation for that module for details. The important difference is that you
must pass the `loop' option with the loop object to API methods, the `cb'
option to the endpoint methods to enable their asynchronous mode.

There's also a `on_error' argument. If you pass in a coderef for this
argument, it will be called with a single string arg whenever something goes
wrong internally (usually a HTTP failure). Use it to safely log or cleanup
after the error.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README
%perl_vendor_privlib/N*

%changelog
* Fri Apr 05 2019 Igor Vlasenko <viy@altlinux.ru> 0.003-alt1
- updated by package builder

* Mon Oct 22 2018 Igor Vlasenko <viy@altlinux.ru> 0.002-alt1
- initial import by package builder

